## jxtray.diag
Class DiTable

    java.lang.Object
      java.awt.geom.RectangularShape
          java.awt.geom.Rectangle2D
              java.awt.Rectangle
                  jxtray.diag.DiElement
                      jxtray.diag.DiTable

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, java.awt.Shape

public class DiTable
extends DiElement

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.geom.Rectangle2D
`java.awt.geom.Rectangle2D.Double, java.awt.geom.Rectangle2D.Float`

Field Summary

Fields inherited from class jxtray.diag.DiElement
`font, g2, painter, zoom`

Fields inherited from class java.awt.Rectangle
`height, width, x, y`

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`DiTable(java.lang.String name)`

Method Summary
`void` `addField(DiField field)`
`int` `countElement()`
`java.lang.String` `getName()`
`java.lang.String` `getTableType()`
`void` `paint(java.awt.Graphics g)`
`void` `setName(java.lang.String string)`
`void` `setTableType(java.lang.String string)`

Methods inherited from class jxtray.diag.DiElement
`getZoom, move, setZoom`

Methods inherited from class java.awt.Rectangle
`add, add, add, contains, contains, contains, contains, createIntersection, createUnion, equals, getBounds, getBounds2D, getHeight, getLocation, getSize, getWidth, getX, getY, grow, inside, intersection, intersects, isEmpty, outcode, reshape, resize, setBounds, setBounds, setLocation, setLocation, setRect, setSize, setSize, toString, translate, union`

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, setRect, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.Shape
`contains, contains, contains, contains, getPathIterator, getPathIterator, intersects, intersects`

Constructor Detail

### DiTable

    public DiTable(java.lang.String name)

Method Detail

### addField

    public void addField(DiField field)

### countElement

    public int countElement()

### getName

    public java.lang.String getName()

  Returns:
    String

### getTableType

    public java.lang.String getTableType()

  Returns:
    String

### setName

    public void setName(java.lang.String string)

  Parameters:
    `string` -

### setTableType

    public void setTableType(java.lang.String string)

  Parameters:
    `string` -

### paint

    public void paint(java.awt.Graphics g)